# The MongoDB\BSON\Decimal128Interface interface

(mongodb >=1.3.0)

## Introduction

This interface is implemented by MongoDB\BSON\Decimal128 but may also be used for type-hinting and userland classes.

## Class synopsis

MongoDB\BSON\Decimal128Interface {
/* Methods */
abstract public __toString ( void ) : string
}

## Table of Contents

- MongoDB\BSON\Decimal128Interface::__toString — Returns the string representation of this Decimal128Interface